Subject: Re: [RFC PATCH] net: ethtool: do runtime PM outside RTNL

From: Marc MERLIN <[email-masked]>
Date: Mon, 4 Dec 2023 12:54:39 -0800

On Mon, Dec 04, 2023 at 09:40:08PM +0100, Johannes Berg wrote:
> This one's still the problem, so I guess my 2-line hack didn't do
> anything.

sorry, I wasn't clear, this was the last hang before your patch. I
wanted to make sure it matched your analysis, which it seems to, so
that's good.  I now understand that the order in printk is not actually
the order of who is at fault.
I'm testing your patch now, will let you know ASAP

Marc
-- 
"A mouse is a device used to point at the xterm you want to type in" - A.S.R.
 
Home page: http://marc.merlins.org/